%define	module cython
%define tarname Cython

Name:           python-%{module}
Version:        0.29.36
Release:        %mkrel 1
Summary:        Language for writing C extensions to Python

License:        Apache License
Group:          Development/Python
Url:            http://www.cython.org
Source0:        %{tarname}-%{version}.tar.xz

BuildRequires:	dos2unix
BuildRequires:	emacs
BuildRequires:  python3-devel
BuildRequires:  python3-setuptools

%description
Cython is a language that facilitates the writing of C extensions for
the Python language. It is based on Pyrex, but provides more cutting
edge functionality and optimizations.

%package -n python3-%{module}
Summary:        Language for writing Python 3 extension modules
Group:          Development/Python
Requires:       python3-setuptools

%description -n python3-%{module}
Cython is a language that facilitates the writing of C extensions for
the Python 3 language. It is based on Pyrex, but provides more cutting
edge functionality and optimizations.

%prep
%setup -qn %{tarname}-%{version}

%build
%py3_build

%install
%py3_install
%py_byte_compile %{__python3} %{buildroot}%{python3_sitearch}

rm -rf %{buildroot}%{python3_sitelib}/setuptools/tests

# create symlinks
ln -s cython %{buildroot}%{_bindir}/python3-cython
ln -s cythonize %{buildroot}%{_bindir}/python3-cythonize
ln -s cygdb %{buildroot}%{_bindir}/python3-cygdb

pushd Tools
dos2unix cython-mode.el
emacs -batch -f batch-byte-compile cython-mode.el
%__install -m 755 -d %{buildroot}%{_sysconfdir}/emacs/site-start.d
%__install -m 644 *.el* %{buildroot}%{_sysconfdir}/emacs/site-start.d
popd

%files -n python3-cython
%doc *.txt Demos Tools
%{_bindir}/cython
%{_bindir}/cygdb
%{_bindir}/cythonize
%{_bindir}/python3-cy*
%{_sysconfdir}/emacs/site-start.d/*.el*
%{python3_sitearch}/__pycache__/*
%{python3_sitearch}/Cython/
%{python3_sitearch}/Cython-%{version}-py%{python3_version}.egg-info
%{python3_sitearch}/cython.py
%{python3_sitearch}/pyximport/

%changelog
* Tue Mar 05 2024 tex - 0.29.36-1pclos2024
- new version

* Thu Aug 18 2022 TerryN <terryn94 at gmail.com> 0.29.28-2pclos2022
- make symlinks to binaries

* Wed Feb 23 2022 TerryN <terryn94 at gmail.com>  0.29.28-1pclos2022
- update and rebuild for python 3.10

* Thu Mar 14 2019 tex 0.29.2-1pclos2019
- new version

* Sun Apr 01 2018 marcin82 <fixxer1982 at gmail.com> 0.28.1-1pclos2018
- update

* Fri Mar 31 2017 bb2 <bb2> 0.22.1-2pclos2017
- rebuild for updates

* Sat Sep 19 2015 bb <bb> 0.22.1-1pclos2015
- update
